<?php 

require_once "../controladores/accion.controlador.php";
require_once "../modelos/accion.modelo.php";
class AjaxAccion {

    /** EDITAR ACCION */

    public $idAccion;

    public function ajaxEditarAccion(){

        $item = "id";
        $valor = $this -> idAccion;
        $respuesta = ControladorAccion:: ctrMostrarAccion($item, $valor);

        echo json_encode($respuesta);

    } 

    public $activarAccion;
	public $activarId;


	public function ajaxActivarAccion(){

		$tabla = "accion";

		$item1 = "activo";
		$valor1 = $this->activarAccion;

		$item2 = "id";
		$valor2 = $this->activarId;

		$respuesta = ModeloAccion::mdlActualizarAccion($tabla, $item1, $valor1, $item2, $valor2);

	}

}

/** EDITAR ACCION */

if(isset($_POST["idAccion"])){
    $editar = new AjaxAccion();
    $editar -> idAccion = $_POST["idAccion"];
    $editar -> ajaxEditarAccion();

}

if(isset($_POST["activarAccion"])){

	$activarAccion = new AjaxAccion();
	$activarAccion -> activarAccion = $_POST["activarAccion"];
	$activarAccion -> activarId = $_POST["activarId"];
	$activarAccion -> ajaxActivarAccion();

}